org.eclipse.emf.compare.ide.internal.utils

## Class StoragePathAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.ide.internal.utils.StoragePathAdapter

All Implemented Interfaces:
  Adapter, Adapter.Internal

    public class StoragePathAdapter
    extends AdapterImpl

This will allow us to remember the storage path that allowed us to load a given resource.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Constructor Summary

Constructors
Constructor and Description
`StoragePathAdapter(String storagePath, boolean isLocal)` Default constructor.
`StoragePathAdapter(String storagePath, boolean isLocal, String commitId, String username)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCommitId()` Getter for the commit id.
`String` `getStoragePath()`
`String` `getUsername()` Getter for the commit owner username.
`boolean` `isAdapterForType(Object type)`
`boolean` `isLocal()`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StoragePathAdapter

    public StoragePathAdapter(String storagePath,
                              boolean isLocal)

Default constructor.

Parameters:
  `storagePath` - The storage path to remember.
  `isLocal` - Whether this storage was local.

#### StoragePathAdapter

    public StoragePathAdapter(String storagePath,
                              boolean isLocal,
                              String commitId,
                              String username)

Constructor.

Parameters:
  `storagePath` - The storage path to remember.
  `isLocal` - Whether this storage was local.
  `commitId` - The identifier of the commit.
  `username` - The username of the owner of the commit.

### Method Detail

#### isAdapterForType

    public boolean isAdapterForType(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`

#### getCommitId

    public String getCommitId()

Getter for the commit id.

Returns:
  the commit it

#### getUsername

    public String getUsername()

Getter for the commit owner username.

Returns:
  the username of the owner

#### getStoragePath

    public String getStoragePath()

#### isLocal

    public boolean isLocal()